PL/php - Bug #5234

SVN Trunk 89: Cannot build against PHP 5.3.3 with embed enabled
07/29/2010 05:08 AM - Anonymous

Status: Closed Start date: 07/21/2010
Priority: Urgent Due date:

Assignee: Alexey Klyukin % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Release 1.4

Resolution:

Description

Jconfigure

AFTER config as above:

checking whether PHP is compiled with the Embed SAPI... yes
checking for php_module_startup in -Iphp5... no

configure: error: Cannot find PHP 5 SAPI library

OS: CentOS 5.5

Related issues:
Has duplicate PL/php - Bug #5233: SVN Trunk 89: Cannot build against PHP 5.3.... Closed 07/21/2010

History

#1 - 07/29/2010 05:28 AM - Alexey Klyukin

From the attached config.log

configure:3679: checking whether PHP is compiled with the Embed SAPI
configure:3687: result: no
configure:3691: error: PL/php requires the Embed PHP SAPI.

Looks like you haven't enabled embed sapi when building php. If you did enable it - please, show the output of:

/usr/local/bin/php-config --configure-options and
/usr/local/bin/php-config --php-sapis

#2 - 07/29/2010 09:13 AM - Alvaro Herrera

I've been discussing a similar case with another user by private email. It seems that the Idflags passed to the compiler are not correctly determined
by configure when running this check.

I notice that configure.in appends $(php-config --libs) to LDFLAGS, but this is probably missing something; at least the output of --Idflags should be
appended also, | think. On my platform it doesn't make a difference becase --Idflags returns an empty string, but this doesn't have to be necessarily
the case.

Even with this fix, there's something wrong, but I'm not sure what. Seems to be we should have a closer look at compiler and linker flags. (For
example, should --libs really be part of LDFLAGS, or does it belong elsewhere?)

#3 - 07/29/2010 10:21 AM - Moisés P. Sena
Anénimo wrote:
Jconfigure
AFTER config as above:
checking whether PHP is compiled with the Embed SAPI... yes
checking for php_module_startup in -Iphp5... no

configure: error: Cannot find PHP 5 SAPI library

OS: CentOS 5.5

The my php-config result:
1. php-config
Usage:
/usr/local/bin/php-config
[OPTION]
Options:

--prefix
[/usr/local]

--includes

[-l/usr/local/include/php
-l/usr/local/include/php/main
-l/usr/local/include/php/TSRM
-l/usr/local/include/php/Zend
-l/usr/local/include/php/ext
-I/usr/local/include/php/ext/date/lib]

--ldflags

[

-L/opt/xmli2/lib
-L/opt/pere/lib
-L/opt/curlssl/lib
-L/usr/kerberos/lib
-L/opt/curlssl//lib
-L/opt/php_with_imap_client//lib
-L/opt/firebird//lib
-L/opt/libmcerypt//lib
-L/usr/lib/mysql
-L/opt/mm//lib
-L/opt/tidy//lib
-L/opt/xslt/lib
-L/opt/xslt//lib
-L/usr/lib]

--libs
[-lcrypt
-lc-client
-z
-lexslt
-lexpat
-lexpat
-lexpat
-ltidy
-lerypt
-Imm
-laspell
-lpspell
-Ipg
-Imysqlclient
-Imcrypt
-litd!
-Ifbclient
-Issl
-lcrypto
-lcrypt
-lpam
-Ifreetype
-IX11
-IXpm
-lpng

-lz
-lipeg
-Issl
-lcrypto
-lcurl
-lbz2

-lz
-lpcre
-Issl
-lcrypto
-Im

-IdI

-Insl
-Ixmi2
-1z
-lm
-lgssapi_krb5
-lkrb5
-lk5crypto
-lcom_err
-leurl

-lidn

-Issl
-lcrypto
-lldap

-Irt

-Issl
-lcrypto
-ldl

-1z

-lz

-Ixmi2

-1z

-lm
-lgssapi_krb5
-lkrb5
-lk5crypto
-lcom_err
-licui18n
-licuuc
-licudata
-Im

-licuio
-Imysqlclient
-1z

-lcrypt
-Insl

-Im
-Imygcc
-Ixmi2

-1z

-lm

-Ixmi2

-1z

-lm
-lerypt
-Ixml2

-lz

-Im

-Ixml2

-lz

-Im

-Ixslt
-Ixml2

-z

-Im
-lcrypt

]

--extension-dir

[/usr/local/lib/php/extensions/no-debug-non-zts-20090626]

--include-dir
[/usr/local/include/php]

--php-binary
[/usr/local/bin/php]

--php-sapis
[cli
apache2handler]

--configure-options
[--enable-bcmath
--enable-calendar
--enable-exif
--enable-ftp
--enable-gd-native-ttf
--enable-intl
--enable-libxml
--enable-magic-quotes
--enable-mbstring
--enable-pdo=shared
--enable-safe-mode

--enable-soap

--enable-sockets

--enable-wddx

--enable-zip

--prefix=/usr/local
--with-apxs2=/usr/local/apache/bin/apxs
--with-bz2
--with-config-file-path=/usr/local/lib
--with-config-file-scan-dir=/usr/local/lib/php.ini.d
--with-curl=/opt/curlssl/
--with-curlwrappers
--with-freetype-dir=/usr

--with-gd

--with-gettext

--with-icu-dir=/usr
--with-imap=/opt/php_with_imap_client/
--with-imap-ssl=/usr
--with-interbase=/opt/firebird/
--with-jpeg-dir=/usr

--with-kerberos
--with-libexpat-dir=/usr
--with-libxml-dir=/opt/xmI2
--with-libxml-dir=/opt/xml2/
--with-mcrypt=/opt/libmcrypt/
--with-mms=/opt/mm/
--with-mysql=/usr
--with-mysql-sock=/var/lib/mysqgl/mysgl.sock
--with-mysqli=/usr/bin/mysgl_config
--with-openssl=/usr
--with-openssl-dir=/usr
--with-pcre-regex=/opt/pcre
--with-pdo-mysqgl=shared
--with-pdo-sqlite=shared
--with-pgsql=/usr
--with-png-dir=/usr

--with-pspell

--with-sqlite=shared
--with-tidy=/opt/tidy/

--with-xmlrpc

--with-xpm-dir=/usr
--with-xsl=/opt/xslt/

--with-zlib

--with-zlib-dir=/usr]

--version
[5.3.3]

--vernum
[50303]

#4 - 07/30/2010 02:26 AM - Alexey Klyukin

On Jul 29, 2010, at 10:21 AM, plphp-tickets@lists.commandprompt.com wrote:

Issue #5234 has been updated by Moisés P. Sena.

Andnimo wrote:
Jconfigure

AFTER config as above:

checking whether PHP is compiled with the Embed SAPI... yes
checking for php_module_startup in -Iphp5... no
configure: error: Cannot find PHP 5 SAPI library

OS: CentOS 5.5

The my php-config result:
<snip>

See,

--php-sapis
[cli
apache2handler]

there's no embed here. You have to build php with --enable-embed and retry.

--configure-options
[--enable-bcmath
--enable-calendar

--enable-exif

--enable-ftp

--enable-gd-native-ttf

--enable-intl

--enable-libxml
--enable-magic-quotes
--enable-mbstring
--enable-pdo=shared
--enable-safe-mode

--enable-soap

--enable-sockets

--enable-wddx

--enable-zip

--prefix=/usr/local
--with-apxs2=/usr/local/apache/bin/apxs
--with-bz2
--with-config-file-path=/usr/local/lib
--with-config-file-scan-dir=/usr/local/lib/php.ini.d
--with-curl=/opt/curlssl/
--with-curlwrappers
--with-freetype-dir=/usr

--with-gd

--with-gettext

--with-icu-dir=/usr
--with-imap=/opt/php_with_imap_client/
--with-imap-ssl=/usr
--with-interbase=/opt/firebird/
--with-jpeg-dir=/usr
--with-kerberos
--with-libexpat-dir=/usr
--with-libxml-dir=/opt/xmI2
--with-libxml-dir=/opt/xml2/
--with-mcrypt=/opt/libmcrypt/
--with-mm=/opt/mm/
--with-mysql=/usr
--with-mysql-sock=/var/lib/mysql/mysql.sock
--with-mysqli=/usr/bin/mysql_config
--with-openssl=/usr
--with-openssl-dir=/usr
--with-pcre-regex=/opt/pcre
--with-pdo-mysql=shared
--with-pdo-sqlite=shared
--with-pgsql=/usr
--with-png-dir=/usr

--with-pspell

--with-sqlite=shared
--with-tidy=/opt/tidy/

--with-xmlrpc

--with-xpm-dir=/usr
--with-xsl=/opt/xslt/

--with-zlib

--with-zlib-dir=/usr]

--version
[5.3.3]

--vernum
[50303]

Bug #5234: SVN Trunk 89: Cannot build against PHP 5.3.3 with embed enabled

https://public.commandprompt.com/issues/5234
Author: Anonymous

Status: New

Priority: Urgent

Assigned to:

Category:

Target version: Release 1.4
Resolution:

/configure

AFTER config as above:

checking whether PHP is compiled with the Embed SAPI... yes
checking for php_module_startup in -Iphp5... no

configure: error: Cannot find PHP 5 SAPI library

OS: CentOS 5.5

You have received this notification because you have either subscribed to it, or are involved in it.
To change your notification preferences, please click here: http://redmine.commandprompt.com/my/account

#5 - 07/30/2010 03:43 PM - Alvaro Herrera
Alexey Klyukin wrote:

On Jul 29, 2010, at 10:21 AM, plphp-tickets@lists.commandprompt.com wrote:

Issue #5234 has been updated by Moisés P. Sena.
Anénimo wrote:
Jconfigure
AFTER config as above:
checking whether PHP is compiled with the Embed SAPI... yes

checking for php_module_startup in -Iphp5... no
configure: error: Cannot find PHP 5 SAPI library

<snip>
--php-sapis

[cli
apache2handler]

See, there's no embed here. You have to build php with --enable-embed and retry.

So why did the other test pass? Shouldn't it have said "no"?

#6 - 07/30/2010 03:52 PM - Alvaro Herrera
- Assignee set to Alexey Klyukin

#7 - 08/01/2010 02:01 PM - Moisés P. Sena

- File config.log added

| compile php on embeded, outher error show:

checking whether PHP is compiled with the Embed SAPI... yes
checking for php_module_startup in -lphp5... no

configure: error: Cannot find PHP 5 SAPI library

The php config:

# php-config
Usage: /usr/local/bin/php-config [OPTION]
Options:

——prefix [/usr/local]

-—includes [-I/usr/local/include/php -I/usr/local/include/php/main -I/usr/local/include/php/TSRM -I
/usr/local/include/php/Zend —-I/usr/local/include/php/ext —-I/usr/local/include/php/ext/date/1lib]

—--1ldflags [ -L/opt/xml2/1ib -L/opt/pcre/lib64 -L/opt/curlssl/lib -L/usr/kerberos/lib -L/opt/curlss

1//1ib64 -L/opt/php_with_imap_client//1ib64 -L/opt/libmcrypt//1ib64 -L/usr/lib64/mysgl -L/opt/mm//lib64 -L/opt
/tidy//1ib64 -L/opt/xslt/lib -L/opt/xslt//1lib64 -L/usr/lib64]

—-1libs [-lcrypt -lc-client -1z -lexslt -lexpat -lexpat -lexpat -ltidy -lcrypt —-lmm -lpg -lmys
glclient -lmcrypt -11tdl -1ssl -lcrypto -lcrypt -lpam -lfreetype -1X11 -1Xpm -lpng -lz -ljpeg -lssl -lcrypto -
lcurl -1bz2 -1z -lpcre -1lssl -lcrypto —-1lm -1dl -1nsl -1xml2 -1z -1m -lgssapi_krb5 -lkrb5 -lkbcrypto -lcom_err

—lcurl -lidn -1lssl -lcrypto -lldap -lrt -1lssl -lcrypto -1dl -1z -1z -1xml2 -1z -1lm -lgssapi_krb5 -1lkrb5 -1lk5c
rypto -lcom_err -licuil8n -licuuc -licudata -1m -licuio -lmysglclient -1z -lcrypt -lnsl -1lm -lmygcc -1lxml2 -1z
-lm -1xml2 -1z -1m -lcrypt -1xml2 -1z -lm -1xml2 -1z -lm -1lxslt -1xml2 -1z -1lm -lcrypt ]

—-—extension-dir [/usr/local/lib/php/extensions/no-debug-non-zts-20090626]

-—include-dir [/usr/local/include/php]

——php-binary [/usr/local/bin/php]

——php-sapis [cli embed]

—-—configure-options [-—-enable-bcmath --enable-calendar --enable-embed --enable-exif --enable-ftp --enable-gd
-native-ttf --enable-intl --enable-libxml --enable-magic-quotes —--enable-mbstring --enable-pdo=shared --enable
-safe-mode —-enable-soap —-—enable-sockets —-enable-wddx —--enable-zip —--prefix=/usr/local —-with-apxs2=/usr/loc

al/apache/bin/apxs —--with-bz2 --with-curl=/opt/curlssl/ —--with-curlwrappers --with-freetype-dir=/usr --with-gd
—-with-gettext —--with-icu-dir=/usr --with-imap=/opt/php_with_imap_client/ —--with-imap-ssl=/usr —--with-Jjpeg-di
r=/usr —-with-kerberos --with-libdir=1ib64 --with-libexpat-dir=/usr —-with-libxml-dir=/opt/xml2 --with-libxml-
dir=/opt/xml2/ —--with-mcrypt=/opt/libmcrypt/ —--with-mm=/opt/mm/ --with-mysgl=/usr --with-mysqgl-sock=/var/lib/m
ysql/mysgl.sock —--with-mysqgli=/usr/bin/mysqgl_config —--with-openssl=/usr --with-openssl-dir=/usr --with-pcre-re
gex=/opt/pcre —-with-pdo-mysgl=shared --with-pdo-sglite=shared --with-pgsgl=/usr --with-pic —--with-png-dir=/us
r —-with-sqglite=shared --with-tidy=/opt/tidy/ —--with-xmlrpc --with-xpm-dir=/usr --with-xsl=/opt/xslt/ --with-z
lib —--with-zlib-dir=/usr]

—-—-version [5.3.3]

——vernum [50303]

The config.log has anexed.

#8 - 08/02/2010 08:21 AM - Alvaro Herrera

Please grab the latest head from the Github repository -- | fixed the autoconf code there.

(Subversion is no longer the authoritative source. | bugged the sysadmins to remove the repository or change it to point to github, but nothing has
gotten done yet, it seems.)

#9 - 05/21/2011 03:14 PM - Alvaro Herrera

| guess it takes a really long time to clone Git repositories. If we get a report before the world ends next year, we can reopen this ticket.

#10 - 05/21/2011 04:49 PM - Alvaro Herrera

- Status changed from New to Closed

Apparently | forgot to actually close the ticket.

Files
config.log 13.9 KB 07/29/2010 Anonymous
config.log 15.5 KB 08/01/2010 Moisés P. Sena
